function out = dotW(A,B)
%% Inner product defined on space W
% A and B of size H'x(M+1)
if (isreal(A(:,1))==0) || (isreal(B(:,1))==0)
    disp('First column not real!');
end
out = dot2(A(:,1),B(:,1));
for m=2:size(A,2)
    out = out + 2*real(dot2(A(:,m),B(:,m)));
end
end
