function Taug = opL1(wr_m,qr_m)
%% Operator L1=L3+L4
% Input: column vector wr_m and qr_m of size Hs
% Output: matrix of size (Hs+1)^2
global Hs;
Taug=zeros(Hs+1);
Taug(1:Hs,1:Hs)=toeplitz(qr_m);
Taug(1:Hs,Hs+1)=wr_m;
Taug(Hs+1,1:Hs)=conj(wr_m);
Taug(Hs+1,Hs+1)=qr_m(1);
end

