function wr_m = opadjL4(Q)
%% Adjoint of the operator L4
% Input: matrix Q of size (Hs+1)^2
% Ouput: column vector wr_m and qr_m of size Hs
% Note: if m=0 wr_m has to be real
global Hs;
L4adj=zeros(Hs,1);
for k=1:Hs
   L4adj(k)=0.5*(Q(k,Hs+1)+conj(Q(Hs+1,k))); 
end

wr_m=L4adj;

end

