function [w1,q1] = proxsigmahNconj(wr,qr,sigma,c)
%% Proximal operator of H_N*

[w2,q2] = proxhNoversigma(wr/sigma,qr/sigma,c);
w1=wr-sigma*w2;
q1=qr-sigma*q2;

end

function [w2,q2] = proxhNoversigma(wr,qr,c)
global M;
w2=wr;
q2=qr;
wmoy=mean(wr(:,1));
if wmoy<=c
   w2(:,1)=wmoy;
else 
   w2(:,1)=c; 
end

for m=1:M+1
   if q2(1,m)>c
       q2(1,m)=c;
   end
end
end