%% Test which is the best parameters (tau,sigma) to perform minimization 1

clear all; close all;
data_generation_check_backup;
C1=1/1.9; %0.5*(2*S+1)*norm(h)^2*max(abs(gfour(M+1:end)))^2;
C2=Hs+M;

Tabtau=[0.1 0.4 0.7 1 1.2 1.4 1.5 1.6 1.7 1.8]; % 0.2:0.2:1.8;
Tabsigma=(1./Tabtau-C1)./C2;
Tabtab1=cell(1,length(Tabtau));
Tabtab2=cell(1,length(Tabtau));
for p=1:length(Tabtau)
p
tau=Tabtau(p);
sigma=Tabsigma(p);
minimization;
Tabtab1{p}=Tab;
Tabtab2{p}=Tab2;
end

Fig1=figure; cc=hsv(10);
for p=1:length(Tabtau)
semilogy(Tabtab1{p},'Color',cc(p,:)); hold on; grid on;
end
legend(['tau=',num2str(Tabtau(1)),', sigma=',num2str(Tabsigma(1))],...
['tau=',num2str(Tabtau(2)),', sigma=',num2str(Tabsigma(2))],...
['tau=',num2str(Tabtau(3)),', sigma=',num2str(Tabsigma(3))],...
['tau=',num2str(Tabtau(4)),', sigma=',num2str(Tabsigma(4))],...
['tau=',num2str(Tabtau(5)),', sigma=',num2str(Tabsigma(5))],...
['tau=',num2str(Tabtau(6)),', sigma=',num2str(Tabsigma(6))],...
['tau=',num2str(Tabtau(7)),', sigma=',num2str(Tabsigma(7))],...
['tau=',num2str(Tabtau(8)),', sigma=',num2str(Tabsigma(8))],...
['tau=',num2str(Tabtau(9)),', sigma=',num2str(Tabsigma(9))],...
['tau=',num2str(Tabtau(10)),', sigma=',num2str(Tabsigma(10))],'Location','northeast','boxoff');
title('||Awr-yr|| pour tau fix et sigma=1/C2*(1/tau-C1)');
xlabel('Nombre d''itrations')
ylabel('log(||Awr-yr||)');
Fig2=figure; cc=hsv(10);
for p=1:length(Tabtau)
semilogy(Tabtab2{p},'Color',cc(p,:)); hold on; grid on;
end
legend(['tau=',num2str(Tabtau(1)),', sigma=',num2str(Tabsigma(1))],...
['tau=',num2str(Tabtau(2)),', sigma=',num2str(Tabsigma(2))],...
['tau=',num2str(Tabtau(3)),', sigma=',num2str(Tabsigma(3))],...
['tau=',num2str(Tabtau(4)),', sigma=',num2str(Tabsigma(4))],...
['tau=',num2str(Tabtau(5)),', sigma=',num2str(Tabsigma(5))],...
['tau=',num2str(Tabtau(6)),', sigma=',num2str(Tabsigma(6))],...
['tau=',num2str(Tabtau(7)),', sigma=',num2str(Tabsigma(7))],...
['tau=',num2str(Tabtau(8)),', sigma=',num2str(Tabsigma(8))],...
['tau=',num2str(Tabtau(9)),', sigma=',num2str(Tabsigma(9))],...
['tau=',num2str(Tabtau(10)),', sigma=',num2str(Tabsigma(10))],'Location','southwest','boxoff');
title('$\frac{\|w_r-w^{\star}\|}{\|w^{\star}\|}$ pour $\tau$ fix et $\sigma=\frac{1}{C_2}\left(\frac{1}{\tau}-C_1\righr)$','interpreter','latex')
xlabel('Nombre d''itrations')
ylabel('Symbol $\log\left(\frac{\|w_r-w^{\star}\|}{\|w^{\star}\|}\right)$','interpreter','latex');
cleanfigure('minimumPointsDistance',1e2);
