function xr=opA(wr)
%% Operator A
% Input: wr of size (M+1)xH'
% Apply the operator A onto the matrix wr
% * Multiplies each column by Fourier coefficients of g
% * Convolves each column by the filter h
% Output: xr of size (M+1)xH
global Gfour h;

xr=conv2(wr*Gfour,h,'valid');

end

