function wr = opadjA(x)
%% Adjoint of the operator A
% Input: x of size (M+1)xH
% Apply the adjoint of the operator A onto the matrix x
% * Multiplies each column of x by conjuguate of Fourier coefficient of g
% * Convolve with the filter hadj
% Ouput: wr of size (M+1)xH'
global Gfour hadj;
wr=conv2(x*conj(Gfour),hadj,'full');

end

