function wr_n2 = opadjL2(Q)
%% Adjoint of the operator L2
% Input: matrix Q of size (M+1)x(M+1)
% Ouput: row vector wr_n2 of size M+1
global M;
N=M+1;
wr_n2=zeros(1,N);
wr_n2(1)=real(sum(diag(Q)));
for k=2:N
    wr_n2(k)=(sum(diag(Q,k-1))+conj(sum(diag(Q,-k+1))))/2;
end
end

