%% Test which is the best parameters (tau,sigma) to perform minimization 2

%clear all; close all;
%data_generation;
normLsquare=M+Hs+1;


Tabtau=[0.05 0.1 0.3 0.6 1];
Tabsigma=1./(Tabtau*normLsquare);  
Tabtab1=cell(1,length(Tabtau));
Tabtab2=cell(1,length(Tabtau));
for p=1:length(Tabtau)
p
tau=Tabtau(p);
sigma=Tabsigma(p);
minimization_Chambolle;
Tabtab1{p}=Tab;
Tabtab2{p}=Tab2;
close all;
end

figure; cc=hsv(10);
for p=1:length(Tabtau)
semilogy(Tabtab1{p},'Color',cc(p,:)); hold on; grid on;
end
legend(['tau=',num2str(Tabtau(1)),', sigma=',num2str(Tabsigma(1))],...
['tau=',num2str(Tabtau(2)),', sigma=',num2str(Tabsigma(2))],...
['tau=',num2str(Tabtau(3)),', sigma=',num2str(Tabsigma(3))],...
['tau=',num2str(Tabtau(4)),', sigma=',num2str(Tabsigma(4))],...
['tau=',num2str(Tabtau(5)),', sigma=',num2str(Tabsigma(5))]);%,...
%['tau=',num2str(Tabtau(6)),', sigma=',num2str(Tabsigma(6))],...
%['tau=',num2str(Tabtau(7)),', sigma=',num2str(Tabsigma(7))]);%,...
% ['tau=',num2str(Tabtau(8)),', sigma=',num2str(Tabsigma(8))],...
% ['tau=',num2str(Tabtau(9)),', sigma=',num2str(Tabsigma(9))],...
% ['tau=',num2str(Tabtau(10)),', sigma=',num2str(Tabsigma(10))]);
title('||Awr-yr|| pour tau fix et sigma=1/(tau*||L||^2)');
figure; cc=hsv(10);
for p=1:length(Tabtau)
semilogy(Tabtab2{p},'Color',cc(p,:)); hold on; grid on;
end
legend(['tau=',num2str(Tabtau(1)),', sigma=',num2str(Tabsigma(1))],...
['tau=',num2str(Tabtau(2)),', sigma=',num2str(Tabsigma(2))],...
['tau=',num2str(Tabtau(3)),', sigma=',num2str(Tabsigma(3))],...
['tau=',num2str(Tabtau(4)),', sigma=',num2str(Tabsigma(4))],...
['tau=',num2str(Tabtau(5)),', sigma=',num2str(Tabsigma(5))]);%,...
%['tau=',num2str(Tabtau(6)),', sigma=',num2str(Tabsigma(6))],...
%['tau=',num2str(Tabtau(7)),', sigma=',num2str(Tabsigma(7))]);%,...
% ['tau=',num2str(Tabtau(8)),', sigma=',num2str(Tabsigma(8))],...
% ['tau=',num2str(Tabtau(9)),', sigma=',num2str(Tabsigma(9))],...
% ['tau=',num2str(Tabtau(10)),', sigma=',num2str(Tabsigma(10))]);
title('||wr-w*||/||w*|| pour tau fix et sigma=1/(tau*||L||^2)');