% makedoc

%% Publishing the index
publish('doc/input.m',...
    struct('format','html','outputDir','doc'));

%% Publishing main functions
publish('main.m',...
    struct('format','html','outputDir','doc'));
disp('publish data_generation.m...');
plotComp=1;
publish('main functions/data_generation.m',...
    struct('format','html','outputDir','doc'));
if algo==2
    disp('publish minimization_Chambolle.m...');
    publish('main functions/minimization_Chambolle.m',...
        struct('format','html','outputDir','doc'));
else
    disp('publish minimization_Condat.m...');
    publish('main functions/minimization_Condat.m',...
        struct('format','html','outputDir','doc'));
end
disp('publish resynthesis.m...');
publish('main functions/resynthesis.m',...
    struct('format','html','outputDir','doc'));
disp('publish prony.m...');
publish('main functions/prony.m',...
    struct('format','html','outputDir','doc'));

%% Publishing paper tests
disp('publish Experiment 1...');
publish('tests/noiseless.m',...
    struct('format','html','outputDir','doc'));
disp('publish Experiment 2...');
publish('tests/strong_noise.m',...
    struct('format','html','outputDir','doc'));
disp('publish Experiment 3...');
publish('tests/strong_blur.m',...
    struct('format','html','outputDir','doc'));

%% Publising Radon and Hough tests
publish('tests/hough_lines_detection.m',...
    struct('format','html','outputDir','doc'));
publish('tests/radon_lines_detection.m',...
    struct('format','html','outputDir','doc'));

%% Build a search database
tmp=which('main');              % complete path to the main file
index=strfind(tmp,'/');         % index of '/' into the string tmp              
p=tmp(1:index(end);             % folder which contains the file
builddocsearchdb([p,'doc/']);   % build the database